require 'simplecov'
require 'simplecov-console'

require "#{Dir.getwd}/lib/card_number_validator"
SimpleCov.formatter = SimpleCov::Formatter::Console
SimpleCov.start

RSpec.configure do |config|
  config.expect_with :rspec do |expectations|
    expectations.include_chain_clauses_in_custom_matcher_descriptions = true
  end

  config.mock_with :rspec do |mocks|
    mocks.verify_partial_doubles = true
  end

  config.shared_context_metadata_behavior = :apply_to_host_groups

# The settings below are suggested to provide a good initial experience
# with RSpec, but feel free to customize to your heart's content.
  config.filter_run_when_matching :focus
  config.disable_monkey_patching!
  config.warnings = true

  config.profile_examples = 1
  config.order = :random
end
